package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 3 (Error! There are no instances of module: bcmwl)

Bug #776439 reported by drjimmy42 on 2011-05-03
402
This bug affects 52 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
High
Daniel van Vugt
Natty
Undecided
Luke Yelavich

Bug Description

SRU information for this bug:

Rationale
The pre-removal script assumes that there are instances of the bcmwl module installed in the dkms tree prior to removal. In most cases this would be true, but there are instances, such as in this bug, where the bcmwl module is not in the tree, likely due to something the user has done. This stable update checks to make sure there are instances of the module to remove before actually doing so, making sure the package is removable in all circumstances.

Impact
This bug is likely to affect a low number of users, but does guard against further breakage should something on a user's system break in the meantime.

Regression potential
The regression potential is low to none, given that an extra check is added.

How to reproduce (can be done on any system, even one without broadcom wireless hardware)
1. Install the bcmwl-kernel-source package.
2. Remove the module from the dkms tree using "sudo dkms remove -m bcmwl -v 5.100.82.38+bdcom --all
3. Remove the bcmwl-kernel-source package.

You should get the error that the original bug reporter described.

Once the updated package is installed, you should be able to follow the above steps and receive no error.

Original bug report follows:

trying to uninstall bcmwl-kernel-source with apt-get remove

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  bcmwl-kernel-source
0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
After this operation, 3,367 kB disk space will be freed.
Do you want to continue [Y/n]?
(Reading database ... 163429 files and directories currently installed.)
Removing bcmwl-kernel-source ...
Removing all DKMS Modules

Error! There are no instances of module: bcmwl
5.100.82.38+bdcom located in the DKMS tree.
dpkg: error processing bcmwl-kernel-source (--remove):
 subprocess installed pre-removal script returned error exit status 3
Errors were encountered while processing:
 bcmwl-kernel-source
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
Uname: Linux 2.6.38-8-generic-pae i686
NonfreeKernelModules: nvidia
AptOrdering: bcmwl-kernel-source: Remove
Architecture: i386
Date: Tue May 3 10:46:33 2011
ErrorMessage: subprocess installed pre-removal script returned error exit status 3
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
SourcePackage: bcmwl
Title: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 3
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

drjimmy42 (jjrussell) wrote :
Daniel Hahler (blueyed) on 2011-05-06
Changed in bcmwl (Ubuntu):
status: New → Triaged
importance: Undecided → High
Levon Haykazyan (levon-rock) wrote :

A quick fix from http://blogs.infobidouille.com/Matt/index.php/post/2011/04/29/Ubuntu-11.04-Natty-Narwhal-sur-MacBook-Pro-2009

remove the line beginning with "dkms remove" from /var/lib/dpkg/info/bcmwl-kernel-source.prerm

Guido Olomudzski (guidolo86) wrote :

I do this to solve the problem with my wifi:

-open the 'Synaptic Package Manager' and search for 'bcm'

- uninstall the 'bcm-kernel-source' package

- make sure that the 'firmware-b43-installer' and the 'b43-fwcutter' packages are installed

-Reboot

-Aditional Hw

-Active Broadcom

=)

Download full text (3.5 KiB)

Thanks for the tip,

I tried to
-uninstall the 'bcm-kernel-source' package

But kept getting the following error message:

"(Reading database ... 131923 files and directories currently installed.)

Removing bcmwl-kernel-source ...

Removing all DKMS Modules

 Error! There are no instances of module: bcmwl

5.100.82.38+bdcom located in the DKMS tree.

dpkg: error processing bcmwl-kernel-source (--remove):

subprocess installed pre-removal script returned error exit status 3

No apport report written because MaxReports is reached already

Errors were encountered while processing:

bcmwl-kernel-source

E: Sub-process /usr/bin/dpkg returned an error code (1)

A package failed to install. Trying to recover:"

Any further ideas appreciated

Aleksander Słota

Artist, Educator, An affable gentleman
+49 (0) 163 629 2473
www.aleksslota.net
www.okonoise.com
I no longer check my email every five minutes, if you
have an urgent message please write me an SMS.

On Tue, May 24, 2011 at 8:34 PM, Guido Olomudzski <<email address hidden>
> wrote:

> I do this to solve the problem with my wifi:
>
>
> -open the 'Synaptic Package Manager' and search for 'bcm'
>
> - uninstall the 'bcm-kernel-source' package
>
> - make sure that the 'firmware-b43-installer' and the 'b43-fwcutter'
> packages are installed
>
> -Reboot
>
> -Aditional Hw
>
> -Active Broadcom
>
> =)
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (786200).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Triaged
>
> Bug description:
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> AptOrdering: bcmwl-kernel-source: Remove
> Architecture: i386
> Date: Tue May 3 10:46:33 2011
> ErrorMessage: subprocess installed pre-removal script returned error exit
> status 3
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: bcmwl...

Read more...

as fare as i can tell this issues comes from the driver not compiling properly for the PAE kernel.

Download full text (4.1 KiB)

I may have a work around for this.
  My chipset:
09:00.0 Network controller [0280]: Broadcom Corporation BCM4312 802.11b/g
LP-PHY [14e4:4315] (rev 01)

 According to http://help.ubuntu.com/community/WifiDocs/Driver/bcm43x I am
supposed to install bcmwl-kernel-source, which is supposedly installed
already, per apt-get and synaptic... so, i reinstalled it.

~$ sudo apt-get --reinstall install bcmwl-kernel-source
Log started: 2011-05-26 10:04:47
Selecting previously deselected package bcmwl-kernel-source.
(Reading database ... 130285 files and directories currently installed.)
Preparing to replace bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 (using
.../bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu3_i386.deb) ...
Removing all DKMS Modules

Error! There are no instances of module: bcmwl
5.100.82.38+bdcom located in the DKMS tree.
dpkg: warning: subprocess old pre-removal script returned error exit status
3
dpkg - trying script from the new package instead ...
dpkg: ... it looks like that went OK.
Unpacking replacement bcmwl-kernel-source ...
Setting up bcmwl-kernel-source (5.100.82.38+bdcom-0ubuntu3) ...
Loading new bcmwl-5.100.82.38+bdcom DKMS files...
Building only for 2.6.38-8-generic-pae
Building for architecture i686
Building initial module for 2.6.38-8-generic-pae
Done.

wl.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-8-generic-pae/updates/dkms/

depmod.........

DKMS: install Completed.
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.38-8-generic-pae
Log ended: 2011-05-26 10:06:00

A reboot later, and my card is working!

Hope this helps,

Max
On Thu, May 26, 2011 at 9:25 AM, AJenbo <email address hidden> wrote:

> as fare as i can tell this issues comes from the driver not compiling
> properly for the PAE kernel.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (785503).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Triaged
>
> Bug description:
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E:...

Read more...

Download full text (7.0 KiB)

Thanks that did the trick. Now I have another problem of the wifi card
being enabled but not turned on because of I suspect the Lenovo fn-F5
keyboard combo not working. But this is not the place for that problem.
thanks

Aleksander Słota

Artist, Educator, An affable gentleman
+49 (0) 163 629 2473
www.aleksslota.net
www.okonoise.com
I no longer check my email every five minutes, if you
have an urgent message please write me an SMS.

On Thu, May 26, 2011 at 5:28 PM, MadMax <email address hidden> wrote:

> I may have a work around for this.
> My chipset:
> 09:00.0 Network controller [0280]: Broadcom Corporation BCM4312 802.11b/g
> LP-PHY [14e4:4315] (rev 01)
>
> According to http://help.ubuntu.com/community/WifiDocs/Driver/bcm43x I am
> supposed to install bcmwl-kernel-source, which is supposedly installed
> already, per apt-get and synaptic... so, i reinstalled it.
>
> ~$ sudo apt-get --reinstall install bcmwl-kernel-source
> Log started: 2011-05-26 10:04:47
> Selecting previously deselected package bcmwl-kernel-source.
> (Reading database ... 130285 files and directories currently installed.)
> Preparing to replace bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 (using
> .../bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu3_i386.deb) ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: warning: subprocess old pre-removal script returned error exit status
> 3
> dpkg - trying script from the new package instead ...
> dpkg: ... it looks like that went OK.
> Unpacking replacement bcmwl-kernel-source ...
> Setting up bcmwl-kernel-source (5.100.82.38+bdcom-0ubuntu3) ...
> Loading new bcmwl-5.100.82.38+bdcom DKMS files...
> Building only for 2.6.38-8-generic-pae
> Building for architecture i686
> Building initial module for 2.6.38-8-generic-pae
> Done.
>
> wl.ko:
> Running module version sanity check.
> - Original module
> - No original module exists within this kernel
> - Installation
> - Installing to /lib/modules/2.6.38-8-generic-pae/updates/dkms/
>
> depmod.........
>
> DKMS: install Completed.
> update-initramfs: deferring update (trigger activated)
> Processing triggers for initramfs-tools ...
> update-initramfs: Generating /boot/initrd.img-2.6.38-8-generic-pae
> Log ended: 2011-05-26 10:06:00
>
>
> A reboot later, and my card is working!
>
>
> Hope this helps,
>
> Max
> On Thu, May 26, 2011 at 9:25 AM, AJenbo <email address hidden> wrote:
>
> > as fare as i can tell this issues comes from the driver not compiling
> > properly for the PAE kernel.
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug (785503).
> > https://bugs.launchpad.net/bugs/776439
> >
> > Title:
> > package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> > install/upgrade: subprocess installed pre-removal script returned
> > error exit status 3
> >
> > Status in “bcmwl” package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > trying to uninstall bcmwl-kernel-source with apt-get remove
> >
> > Reading package lists... Done
> > Building dependency tree
> > Reading state information... Done
> > The following...

Read more...

blacklist acer-wmi

solved the problem
thanks

Aleksander Słota

Artist, Educator, An affable gentleman
+49 (0) 163 629 2473
www.aleksslota.net
www.okonoise.com
I no longer check my email every five minutes, if you
have an urgent message please write me an SMS.

On Fri, May 27, 2011 at 2:52 PM, AJenbo <email address hidden> wrote:

> aleks try
> rfkill unblock all
> And check it with
> rfkill list
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (786200).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Triaged
>
> Bug description:
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> AptOrdering: bcmwl-kernel-source: Remove
> Architecture: i386
> Date: Tue May 3 10:46:33 2011
> ErrorMessage: subprocess installed pre-removal script returned error exit
> status 3
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: bcmwl
> Title: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned error exit
> status 3
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/776439/+subscribe
>

Changed in bcmwl (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
aleks (aslota) wrote :

Wireless worked fine for a while now back to the same. No wireless the
wireless option is greyed out, fn-f5 is not working

output of sudo rfkill list

0: ideapad_wlan: Wireless LAN
    Soft blocked: no
    Hard blocked: no
1: brcmwl-0: Wireless LAN
    Soft blocked: no
    Hard blocked: yes

The switch in front is definately in the on positon, broadcom driver is
active and currently in use.
ideas?

On Mon, May 30, 2011 at 9:07 AM, Daniel van Vugt <email address hidden> wrote:

> ** Branch linked: lp:~vanvugt/ubuntu/oneiric/bcmwl/fix-776439
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (786200).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Triaged
>
> Bug description:
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> AptOrdering: bcmwl-kernel-source: Remove
> Architecture: i386
> Date: Tue May 3 10:46:33 2011
> ErrorMessage: subprocess installed pre-removal script returned error exit
> status 3
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: bcmwl
> Title: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned error exit
> status 3
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/776439/+subscribe
>

Changed in bcmwl (Ubuntu):
status: Triaged → In Progress

This bug was fixed in the package bcmwl - 5.100.82.38+bdcom-0ubuntu4

---------------
bcmwl (5.100.82.38+bdcom-0ubuntu4) oneiric; urgency=low

  [ Daniel van Vugt ]
  * debian/bcmwl-kernel-source.prerm:
    - Don't error out if we can't remove bcmwl module. LP: #776439
  * debian/bcmwl-kernel-source.postinst:
    - Unconditionally update the blacklist (i.e. even on upgrade).
      LP: #776165
 -- Michael Terry <email address hidden> Wed, 01 Jun 2011 13:57:27 -0400

Changed in bcmwl (Ubuntu):
status: In Progress → Fix Released

I'm getting

dpkg: error processing 5.100.82.38+bdcom-0ubuntu4 (--install):
 cannot access archive: No such file or directory
Errors were encountered while processing:
 5.100.82.38+bdcom-0ubuntu4

any ideas

On Wed, Jun 1, 2011 at 8:30 PM, Launchpad Bug Tracker <
<email address hidden>> wrote:

> This bug was fixed in the package bcmwl - 5.100.82.38+bdcom-0ubuntu4
>
> ---------------
> bcmwl (5.100.82.38+bdcom-0ubuntu4) oneiric; urgency=low
>
> [ Daniel van Vugt ]
> * debian/bcmwl-kernel-source.prerm:
> - Don't error out if we can't remove bcmwl module. LP: #776439
> * debian/bcmwl-kernel-source.postinst:
> - Unconditionally update the blacklist (i.e. even on upgrade).
> LP: #776165
> -- Michael Terry <email address hidden> Wed, 01 Jun 2011 13:57:27 -0400
>
> ** Branch linked: lp:ubuntu/bcmwl
>
> ** Changed in: bcmwl (Ubuntu)
> Status: In Progress => Fix Released
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (786200).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Fix Released
>
> Bug description:
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> AptOrdering: bcmwl-kernel-source: Remove
> Architecture: i386
> Date: Tue May 3 10:46:33 2011
> ErrorMessage: subprocess installed pre-removal script returned error exit
> status 3
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: bcmwl
> Title: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned error exit
> status 3
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/776439/+subscribe
>

I can't reproduce any errors. It installed cleanly using:
sudo dpkg -i bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu4_amd64.deb

Here is the error. I'm running 32bit so I changed amd64 to i386.
Sorry I'm a total newb.

aleks@aleks-Lenovo-B560:~$ sudo dpkg -i
bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu4_i386.deb
dpkg: error processing
bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu4_i386.deb (--install):
 cannot access archive: No such file or directory
Errors were encountered while processing:
 bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu4_i386.deb

but for amd64 i was getting

dpkg: error processing
bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu4_amd64.deb (--install):
 cannot access archive: No such file or directory
Errors were encountered while processing:
 bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu4_amd64.deb

On Thu, Jun 2, 2011 at 4:48 AM, Daniel van Vugt <email address hidden> wrote:

> I can't reproduce any errors. It installed cleanly using:
> sudo dpkg -i bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu4_amd64.deb
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (786200).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Fix Released
>
> Bug description:
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> AptOrdering: bcmwl-kernel-source: Remove
> Architecture: i386
> Date: Tue May 3 10:46:33 2011
> ErrorMessage: subprocess installed pre-removal script returned error exit
> status 3
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: bcmwl
> Title: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned error exit
> status 3
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/776439/+subscribe
>

Sounds like a bad download, or you're out of disk space, or you need an apt-get clean...

Try these (in any order, but try them all):
1. sudo apt-get clean
2. Download again from http://archive.ubuntu.com/ubuntu/pool/restricted/b/bcmwl/
3. Check you disk space with 'df -h'.

Actually it's another issue,
I have dual boot win7 and ubuntu, Lenovo laptop. I have to boot into win and
then turn on the wireless with the lenovo redycomm software. Then I reboot
into ubuntu and wireless works fine. So I guess it's actually a windows
problem :)
thanks

On Thu, Jun 2, 2011 at 11:02 AM, Daniel van Vugt <email address hidden> wrote:

> Sounds like a bad download, or you're out of disk space, or you need an
> apt-get clean...
>
> Try these (in any order, but try them all):
> 1. sudo apt-get clean
> 2. Download again from
> http://archive.ubuntu.com/ubuntu/pool/restricted/b/bcmwl/
> 3. Check you disk space with 'df -h'.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (786200).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Fix Released
>
> Bug description:
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> AptOrdering: bcmwl-kernel-source: Remove
> Architecture: i386
> Date: Tue May 3 10:46:33 2011
> ErrorMessage: subprocess installed pre-removal script returned error exit
> status 3
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: bcmwl
> Title: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned error exit
> status 3
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/776439/+subscribe
>

Thanks Mad Max (post #6); worked for me. Frustrating part was the install CD loaded the WiFi driver with no
troubles, but it failed after rebooting to the newly installed OS.

 The CD driver worked for me as well. At first I thought it was because
I did the upgrades during the install. I then tried an install with no
upgrades, and had the same problem.

 Since the fix that I posted earlier, I have had no problems.

On Thu, 2011-06-02 at 11:41 +0000, Tbliebert wrote:
> Thanks Mad Max (post #6); worked for me. Frustrating part was the install CD loaded the WiFi driver with no
> troubles, but it failed after rebooting to the newly installed OS.
>

Luke Yelavich (themuso) on 2011-06-03
Changed in bcmwl (Ubuntu Natty):
assignee: nobody → Luke Yelavich (themuso)
status: New → In Progress
description: updated

Accepted bcmwl into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in bcmwl (Ubuntu Natty):
status: In Progress → Fix Committed
tags: added: verification-needed

bcmwl 5.100.82.38+bdcom-0ubuntu3.1 introduce the regression reported in bug 793890

Changed in bcmwl (Ubuntu Natty):
status: Fix Committed → In Progress
tags: added: regression-proposed verification-failed
removed: verification-needed
Brian Salzman (brian-salzman) wrote :

@MadMax

~$ sudo apt-get --reinstall install bcmwl-kernel-source

After a reboot, WiFi worked perfectly on Dell E6500

Daniel van Vugt (vanvugt) wrote :

Actually, this fix is already committed in lp:ubuntu/natty-proposed/bcmwl

It just hasn't been released yet because bug 793890 is holding it up.

Changed in bcmwl (Ubuntu Natty):
status: In Progress → Fix Committed
Download full text (3.9 KiB)

I reinstalled ubuntu 11.04 yesterday and the wifi started without any
problems.

On Thu, Jul 7, 2011 at 8:53 PM, Daniel van Vugt <email address hidden> wrote:

> Actually, this fix is already committed in lp:ubuntu/natty-
> proposed/bcmwl
>
> It just hasn't been released yet because bug 793890 is holding it up.
>
> ** Changed in: bcmwl (Ubuntu Natty)
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (801053).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Fix Released
> Status in “bcmwl” source package in Natty:
> Fix Committed
>
> Bug description:
> SRU information for this bug:
>
> Rationale
> The pre-removal script assumes that there are instances of the bcmwl
> module installed in the dkms tree prior to removal. In most cases this would
> be true, but there are instances, such as in this bug, where the bcmwl
> module is not in the tree, likely due to something the user has done. This
> stable update checks to make sure there are instances of the module to
> remove before actually doing so, making sure the package is removable in all
> circumstances.
>
> Impact
> This bug is likely to affect a low number of users, but does guard against
> further breakage should something on a user's system break in the meantime.
>
> Regression potential
> The regression potential is low to none, given that an extra check is
> added.
>
> How to reproduce (can be done on any system, even one without broadcom
> wireless hardware)
> 1. Install the bcmwl-kernel-source package.
> 2. Remove the module from the dkms tree using "sudo dkms remove -m bcmwl
> -v 5.100.82.38+bdcom --all
> 3. Remove the bcmwl-kernel-source package.
>
> You should get the error that the original bug reporter described.
>
> Once the updated package is installed, you should be able to follow
> the above steps and receive no error.
>
> Original bug report follows:
>
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
> ProcVersionSignature:...

Read more...

Simple upgrading from corrupted version to one from proposed repo didn't did the trick for me. But reinstalling fixed version after that fixes the problem.

Daniel van Vugt (vanvugt) wrote :

Serge, that is correct. The old broken version of the prerm script will be run when you upgrade. The bug is however fully fixed after that.

Serge Matveenko (lig) wrote :

It seems to me that install script of the fixed version should fix the bug it released to fix without need of reinstalling fixed version.

Yes, that would make sense. However the version of pre-removal script
that gets run is the one that is being removed, which is the old broken
one. Seems to be the way debian packages work, always.

On 08/07/11 15:23, Serge Matveenko wrote:
> It seems to me that install script of the fixed version should fix the
> bug it released to fix without need of reinstalling fixed version.
>

Download full text (3.7 KiB)

yes wifi worked on samsung rf510 thinks

2011/7/5 Brian Salzman <email address hidden>

> @MadMax
>
> ~$ sudo apt-get --reinstall install bcmwl-kernel-source
>
> After a reboot, WiFi worked perfectly on Dell E6500
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (773680).
> https://bugs.launchpad.net/bugs/776439
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
> install/upgrade: subprocess installed pre-removal script returned
> error exit status 3
>
> Status in “bcmwl” package in Ubuntu:
> Fix Released
> Status in “bcmwl” source package in Natty:
> In Progress
>
> Bug description:
> SRU information for this bug:
>
> Rationale
> The pre-removal script assumes that there are instances of the bcmwl
> module installed in the dkms tree prior to removal. In most cases this would
> be true, but there are instances, such as in this bug, where the bcmwl
> module is not in the tree, likely due to something the user has done. This
> stable update checks to make sure there are instances of the module to
> remove before actually doing so, making sure the package is removable in all
> circumstances.
>
> Impact
> This bug is likely to affect a low number of users, but does guard against
> further breakage should something on a user's system break in the meantime.
>
> Regression potential
> The regression potential is low to none, given that an extra check is
> added.
>
> How to reproduce (can be done on any system, even one without broadcom
> wireless hardware)
> 1. Install the bcmwl-kernel-source package.
> 2. Remove the module from the dkms tree using "sudo dkms remove -m bcmwl
> -v 5.100.82.38+bdcom --all
> 3. Remove the bcmwl-kernel-source package.
>
> You should get the error that the original bug reporter described.
>
> Once the updated package is installed, you should be able to follow
> the above steps and receive no error.
>
> Original bug report follows:
>
> trying to uninstall bcmwl-kernel-source with apt-get remove
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> bcmwl-kernel-source
> 0 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
> After this operation, 3,367 kB disk space will be freed.
> Do you want to continue [Y/n]?
> (Reading database ... 163429 files and directories currently installed.)
> Removing bcmwl-kernel-source ...
> Removing all DKMS Modules
>
> Error! There are no instances of module: bcmwl
> 5.100.82.38+bdcom located in the DKMS tree.
> dpkg: error processing bcmwl-kernel-source (--remove):
> subprocess installed pre-removal script returned error exit status 3
> Errors were encountered while processing:
> bcmwl-kernel-source
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> AptOrdering: bcmwl-kernel-source: Remove
> Architecture: i386
...

Read more...

Hello drjimmy42, or anyone else affected,

Accepted bcmwl into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: removed: verification-failed
tags: added: verification-needed

This bug was fixed in the package bcmwl - 5.100.82.38+bdcom-0ubuntu3.2

---------------
bcmwl (5.100.82.38+bdcom-0ubuntu3.2) natty-proposed; urgency=low

  * debian/bcmwl-kernel-source.postinst: fix merge mistake in the previous
    revision resulting in failure to install (LP: #793890)

bcmwl (5.100.82.38+bdcom-0ubuntu3.1) natty-proposed; urgency=low

  [ Daniel van Vugt ]
  * debian/bcmwl-kernel-source.prerm:
    - Don't error out if we can't remove bcmwl module. LP: #776439
  * debian/bcmwl-kernel-source.postinst:
    - Unconditionally update the blacklist (i.e. even on upgrade).
      LP: #776165
 -- Daniel van Vugt <email address hidden> Fri, 08 Jul 2011 11:42:26 +0800

Changed in bcmwl (Ubuntu Natty):
status: Fix Committed → Fix Released
summary: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3 failed to
install/upgrade: subprocess installed pre-removal script returned error
- exit status 3
+ exit status 3 (Error! There are no instances of module: bcmwl)
Arsalan (arsalpervez1) on 2012-02-19
affects: bcmwl (Ubuntu) → ubuntu
affects: ubuntu → bcmwl (Ubuntu)
To post a comment you must log in.